Package uk.co.mccombe.terrain

# Class SRTM3Reader

java.lang.Object
java.beans.PropertyChangeSupport
uk.co.mccombe.terrain.DEMReader
uk.co.mccombe.terrain.SRTM3Reader

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `NASADEMReader`

public abstract class SRTM3Reader extends DEMReader

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class uk.co.mccombe.terrain.DEMReader

`DEMReader.CacheEntry`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final boolean`
`DOWNLOADABLE`
`protected static String`
`extn`
`protected static boolean`
`littleendian`
`protected static int`
`missingValue`
`protected static int`
`recordlength`

### Fields inherited from class uk.co.mccombe.terrain.DEMReader

`BUFFERLENGTH, cache, cacheEnable, copyright, cycle, DIRECTORY, hits, in, lastMessage, lastValue, LOCALE, MAX_CACHE_SIZE, missing, MISSING, resultcount, tries, useLegacy`

## Constructor Summary

Constructors
Constructor
Description
`SRTM3Reader(JComponent item)`

## Method Summary

Modifier and Type
Method
Description
`String`
`extn()`
`boolean`
`littleendian()`
`double`
`maxLat()`
Maximum latitude of SRTM3 dataset Latitude must be less than 61.0
`double`
`minLat()`
Minimum latitude of SRTM3 dataset Latitude must be greater or equal to -56.0
`int`
`missingValue()`
`int`
`recordlength()`

### Methods inherited from class uk.co.mccombe.terrain.DEMReader

`copyright, datasetName, downloadable, downloadFile, eastWest, formatstring, frac, getDownloadSiteName, getHeight, getProperty, getPropertyChangeListeners, getRow, hits, lagrangian, makename, missing, northSouth, numEntryName, readByteRecord, readRecord, resetCounts, resultcount, setDownloadSiteName, setMessage, setProgress, tile, tries, zipEntryName`

### Methods inherited from class java.beans.PropertyChangeSupport

`addPropertyChangeListener, addPropertyChangeListener, fireIndexedPropertyChange, fireIndexedPropertyChange, fireIndexedPropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getPropertyChangeListeners, hasListeners, removePropertyChangeListener, removePropertyChangeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DOWNLOADABLE

protected static final boolean DOWNLOADABLE

See Also:
  - Constant Field Values

### recordlength

protected static int recordlength

### extn

protected static String extn

### littleendian

protected static boolean littleendian

### missingValue

protected static int missingValue

## Constructor Details

### SRTM3Reader

public SRTM3Reader(JComponent item) throws MissingDataFileException, DataFileException

Throws:
  `MissingDataFileException`
  `DataFileException`

## Method Details

### recordlength

public int recordlength()

Specified by:
  `recordlength` in class `DEMReader`

### extn

public String extn()

Specified by:
  `extn` in class `DEMReader`

### littleendian

public boolean littleendian()

Specified by:
  `littleendian` in class `DEMReader`

### missingValue

public int missingValue()

Specified by:
  `missingValue` in class `DEMReader`

### maxLat

public double maxLat()
Maximum latitude of SRTM3 dataset Latitude must be less than 61.0

Specified by:
  `maxLat` in class `DEMReader`
Returns:
  double 61.0

### minLat

public double minLat()
Minimum latitude of SRTM3 dataset Latitude must be greater or equal to -56.0

Specified by:
  `minLat` in class `DEMReader`
Returns:
  double -56.0